function [x,y]=select_points(I)
  %function [x,y]=select_points(I)
% 
% I: image
  % [x,y]: coordonnees selectionnees
%
% Selectionne des positions manuellement sur l image I
% Clic gauche pour selectionner une position
% Clic droit pour stopper
% 
%

colormap(gray);
x=[];
y=[];

disp('clic gauche: selectionne position');
disp('clic droit: dernier point');


but = 1;
while but == 1
  clf
  imagesc(I);
  hold on
  plot(x, y, 'r-',"linewidth",3);
  plot(x, y, 'b+',"linewidth",3);
  axis square
  
  [s, t, but] = ginput(1);

x = [x;s];
y = [y;t];

end  

